Runtime

## org.eclipse.gmf.runtime.notation
Class LineType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.runtime.notation.LineType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class LineType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Line Type', and utility methods for working with them.

See Also:
  `NotationPackage.getLineType()`, Serialized Form
** Generated **
Model:

Field Summary
`static int` `DASH` The 'Dash' literal value
`static int` `DASH_DOT` The 'Dash Dot' literal value
`static int` `DASH_DOT_DOT` The 'Dash Dot Dot' literal value
`static LineType` `DASH_DOT_DOT_LITERAL` The 'Dash Dot Dot' literal object
`static LineType` `DASH_DOT_LITERAL` The 'Dash Dot' literal object
`static LineType` `DASH_LITERAL` The 'Dash' literal object
`static int` `DOT` The 'Dot' literal value
`static LineType` `DOT_LITERAL` The 'Dot' literal object
`static int` `DOUBLE` The 'Double' literal value
`static LineType` `DOUBLE_LITERAL` The 'Double' literal object
`static int` `SOLID` The 'Solid' literal value
`static LineType` `SOLID_LITERAL` The 'Solid' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Line Type' enumerators

Method Summary
`static LineType` `get(int value)` Returns the 'Line Type' literal with the specified integer value
`static LineType` `get(java.lang.String literal)` Returns the 'Line Type' literal with the specified literal value
`static LineType` `getByName(java.lang.String name)` Returns the 'Line Type' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SOLID

    public static final int SOLID

  The 'Solid' literal value.

  If the meaning of 'Solid' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SOLID_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Solid"

### DASH

    public static final int DASH

  The 'Dash' literal value.

  If the meaning of 'Dash' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DASH_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Dash"

### DOT

    public static final int DOT

  The 'Dot' literal value.

  If the meaning of 'Dot' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DOT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Dot"

### DASH_DOT

    public static final int DASH_DOT

  The 'Dash Dot' literal value.

  If the meaning of 'Dash Dot' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DASH_DOT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="DashDot"

### DASH_DOT_DOT

    public static final int DASH_DOT_DOT

  The 'Dash Dot Dot' literal value.

  If the meaning of 'Dash Dot Dot' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DASH_DOT_DOT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="DashDotDot"

### DOUBLE

    public static final int DOUBLE

  The 'Double' literal value.

  If the meaning of 'Double' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DOUBLE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Double"

### SOLID_LITERAL

    public static final LineType SOLID_LITERAL

  The 'Solid' literal object.

  See Also:
    `SOLID`
  ** Generated **
  Ordered:

### DASH_LITERAL

    public static final LineType DASH_LITERAL

  The 'Dash' literal object.

  See Also:
    `DASH`
  ** Generated **
  Ordered:

### DOT_LITERAL

    public static final LineType DOT_LITERAL

  The 'Dot' literal object.

  See Also:
    `DOT`
  ** Generated **
  Ordered:

### DASH_DOT_LITERAL

    public static final LineType DASH_DOT_LITERAL

  The 'Dash Dot' literal object.

  See Also:
    `DASH_DOT`
  ** Generated **
  Ordered:

### DASH_DOT_DOT_LITERAL

    public static final LineType DASH_DOT_DOT_LITERAL

  The 'Dash Dot Dot' literal object.

  See Also:
    `DASH_DOT_DOT`
  ** Generated **
  Ordered:

### DOUBLE_LITERAL

    public static final LineType DOUBLE_LITERAL

  The 'Double' literal object.

  See Also:
    `DOUBLE`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Line Type' enumerators.

  ** Generated **

Method Detail

### get

    public static LineType get(java.lang.String literal)

  Returns the 'Line Type' literal with the specified literal value.

  ** Generated **

### getByName

    public static LineType getByName(java.lang.String name)

  Returns the 'Line Type' literal with the specified name.

  ** Generated **

### get

    public static LineType get(int value)

  Returns the 'Line Type' literal with the specified integer value.

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.